CMSIS-Core (Cortex-M): FPU Functions

| CMSIS-Core (Cortex-M) Version 5.6.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Functions
FPU Functions

Functions that relate to the Floating-Point Arithmetic Unit. More...

## Functions

__STATIC_INLINE uint32_t | SCB_GetFPUType (void)
| Get the FPU type. More...

## Description

Functions that relate to the Floating-Point Arithmetic Unit.

Some Cortex-M processors include optional floating-point arithmetic functionality, with support for single and double-precision arithmetic. The Cortex-M processor with FPU is an implementation of the single-precision and double-precision variant of the Armv7-M Architecture with Floating-Point Extension (FPv5).

## Function Documentation

__STATIC_INLINE uint32_t SCB_GetFPUType | ( | void |  | ) |

Get the FPU type.

Returns
  - 0: No FPU
  - 1: Single precision FPU
  - 2: Double + Single precision FPU

The function returns the implemented FPU type.